maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Osipov <micha...@apache.org>
Subject Re: [DISCUSS] Java version requirement for Mavan 3.4.x
Date Mon, 14 Dec 2015 19:48:12 GMT
Am 2015-12-14 um 01:16 schrieb Tibor Digana:
> i agree with stephenc that major version change = API change.
>
>>> the longer we put off updating the baseline JDK *in core* the worse the
> pain will be in 2-3 years for us when developing and maintaining our plugins
>
> We can always open a Vote but then some users may loose a fix been
> important for them in old version of Maven @ Java 7.
>
> Maybe another argument to jump to Java 8.
> @all Do you see any Java 8 API which is terribly important?
> hint: immutable objects, date time API, Files

Unless someone is going to rewrite code with real benefit, I see need to 
bump just to have Java 8 source code.

Michael


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message